Subject: Ticket Assigned - Click & Collect
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Mon, 15 Feb 2021 08:50:24 +0000 (UTC)

Hi Krishan Singh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Click & Collect I would line to complain regarding late delivery for click n collect order which I placed on 13/02/2021
I’am old customer of center point and I have many times made order online for click n collect and I get order by next day from the Day I place order.
But this time I needed at the earliest and it is getting delayed for which i’am not satisfied at all https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2103161